Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.util
Class JMXExceptionDecoder

    java.lang.Object
      org.jboss.mx.util.JMXExceptionDecoder

public class JMXExceptionDecoder
extends Object

A simple helper to rethrow and/or decode those pesky JMX exceptions.

Version:
  $Revision: 1.5.6.1 $
Author:
  Jason Dillon, Scott.Stark@jboss.org

Constructor Summary
`JMXExceptionDecoder()`

Method Summary
`static Throwable` | `decode(Throwable t)` Attempt to decode the given Throwable.
`static Throwable` | `decodeToJMXException(Throwable ex)` Unwrap a possibly nested jmx exception down to the last JMException || JMRuntimeException.
`static void` | `rethrow(Exception e)` Decode and rethrow the given Throwable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXExceptionDecoder

    public JMXExceptionDecoder()

Method Detail

### decode

    public static Throwable decode(Throwable t)

  Attempt to decode the given Throwable. If it is a container JMX exception, then the target is returned. Otherwise the argument is returned.

### decodeToJMXException

    public static Throwable decodeToJMXException(Throwable ex)

  Unwrap a possibly nested jmx exception down to the last JMException || JMRuntimeException.

  Parameters:
    `ex` - the exception to unwrap
  Returns:
    A JMException || JMRuntimeException if ex was of this type, or ex if it was not.

### rethrow

    public static void rethrow(Exception e)
                        throws Exception

  Decode and rethrow the given Throwable. If it is a container JMX exception, then the target is thrown. Otherwise the argument is thrown.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.